@import "esMDCTheme.css";


.es-form-container {
    padding: 0 50px;
}
@media (max-width: 768px) {
    .es-form-container {
        padding: 0 10px;
    }
}

.es-mdc-card-holder .mdc-typography--body2,
.es-mdc-card-holder .mdc-card__primary-action {
    padding: 0 15px;
}
.es-mdc-card--horizontal {
    flex-direction: row;
}
.es-mdc-card-holder.warning .mdc-card__primary-action.es-mdc-card--horizontal {
    padding-left: 10px;
}
.es-mdc-card-holder.warning .mdc-card__primary-action .material-icons {
    font-size: 2.5rem;
}
.es-mdc-card-holder.warning .mdc-card__primary-action h2.mdc-typography--headline6 {
    margin-bottom: 5px;
    font-size: 2rem;
    padding: 5px 0 0 15px;
}

.es-mdc-checkbox-set {
    display: flex;
}
.es-mdc-checkbox-set .es-mdc-checkbox {
    margin-left: 15px;
    margin-right: 15px;
}
.es-mdc-checkbox > label {
    font-size: 1rem;
}
.es-mdc-field-holder.esmdccheckbox {
    display: flex;
    align-items: flex-end;
}

.es-mdc-dropdown .material-icons {
    position: absolute;
    right: 5px;
    cursor: pointer;
}
.es-mdc-radio .es-mdc-radio__label {
    font-size: 12px;
    display: block;
}
.es-mdc-radio .form__field-holder {
    width: 100%;
    border-bottom: 1px solid #cbcbcb;
    padding-bottom: .8385rem;
}
.es-mdc-radio .mdc-form-field {
    margin-right: 20px;
}
.es-mdc-radio .mdc-form-field label {
    font-size: 1.4em;
    margin-bottom: 0;
}


@keyframes flash {
    0%  {background-color: #ffc0c0; color: black;}
    100% {background-color: red; color: white;}
}

.es-mdc-checkbox.is-invalid label,
.es-mdc-radio.is-invalid .es-mdc-radio__label,
.es-mdc-radio.is-invalid .mdc-radio {
    color: #d50000;
}
.es-mdc-checkbox.is-invalid .mdc-checkbox .mdc-checkbox__background,
.es-mdc-radio.is-invalid .mdc-radio .mdc-radio__outer-circle {
    border-color: #d50000 !important;
}
.es-mdc-checkbox-set > label {
    flex-basis: 100%;
    margin-left: 15px;
    font-size: 0.8rem;
}

.es-mdc-text-field.mdc-text-field--textarea .mdc-text-field__input {
    padding: 6px 16px;
    border-bottom: 1px solid rgba(0,0,0,.42);
}
.es-mdc-text-field.mdc-text-field--textarea .mdc-floating-label {
    padding-left: 12px;
}
.mdc-text-field {margin-bottom: 0;}
.es-mdc-text-field.is-invalid .mdc-floating-label {
    color: #d50000;
}
.es-mdc-text-field.is-invalid .mdc-text-field__input {
    border-bottom-color: #d50000 !important;
}
.es-mdc-text-field.is-invalid .mdc-line-ripple {
    background-color: #d50000;
}

.es-mdc-city .es-mdc-city-chooser {
    width: calc(50% - 4px);
}
.es-mdc-city .es-mdc-city-state,
.es-mdc-city .es-mdc-city-postcode {
    width: calc(25% - 2px);
}

.es-mdc-select.is-invalid .mdc-floating-label {
    color: #d50000;
}
.es-mdc-select.is-invalid .mdc-select__selected-text {
    border-bottom-color: #d50000 !important;
}
.es-mdc-select.is-invalid .mdc-line-ripple {
    background-color: #d50000 !important;
}


.mdc-button.hover-reverse:hover {
    background: white;
}
.mdc-button.hover-reverse:hover .mdc-button__label {
    color: black;
}



.ui-autocomplete.ui-menu .ui-menu-item {
    padding: 0;
}
.ui-autocomplete.ui-menu .ui-menu-item-wrapper {
    padding: 10px;
}
.ui-autocomplete.ui-menu .ui-menu-item-wrapper.ui-state-active {
    background: black;
    color: white;
}


.carousel {
    display: flex;
    align-items: center;
    width: 800px;
    height: 600px;
    position: relative;
    overflow: hidden;
}
.carousel .photo-frame {
    max-width: 800px;
    max-height: 600px;
    overflow: hidden;
    width: 0;
    transition-property: width;
    transition-duration: 1s;
    text-align:center;
}
.carousel .photo-frame img {
    max-width: 800px;
    max-height: 600px;
}
.carousel .photo-frame.active {
    display: block;
    width: 100%;
}
.carousel .mdc-button--fab.mdc-button--colored {
    color: rgb(255,255,255);
    background: rgba(0,0,0,0.2);
}
.carousel .control-prev{
    position: absolute;
    margin-left: -28px;
}
.carousel .control-prev .material-icons {
    margin-left: 10px;
}
.carousel .control-next {
    position: absolute;
    right: -28px;
}
.carousel .control-next .material-icons {
    margin-left: -10px;
}



.iframe-previewer,
.slideshow {
    display: none;
    position: absolute;
    width: 100%;
    height: calc(100% - 64px);
    top: 64px;
    left: 0;
    background-color: rgba(0,0,0,1);
    flex-direction: column;
    overflow: hidden;
    z-index: 1;
}
.iframe-previewer .mdc-button--fab.mdc-button--colored.close,
.slideshow .mdc-button--fab.mdc-button--colored.close {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 2;
    background: rgba(0,0,0,0.6);
    color: rgba(255,255,255,0.4);
}
.slideshow .window {
    height: 80%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.slideshow .window .photo-frame {
    height: 100%;
    width: 100%;
    overflow: hidden;
    opacity: 0;
    transition-property: opacity;
    transition-duration: 1s;
    position: absolute;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
}
.slideshow .window .photo-frame.active {
    opacity: 1;
}
.slideshow .thumbnails {
    box-sizing: border-box;
    height: calc(20% + 15px);
    display: flex;
    padding: 20px;
    align-items: center;
    justify-content: flex-start;
    overflow-x: scroll;
    scroll-behavior: smooth;
}
.slideshow .thumbnails .material-icons {
    position: absolute;
    font-size: 3em;
    color: white;
    cursor: pointer;
    z-index: 1;
}
.slideshow .thumbnails .material-icons.right {
    right: 0;
}
.slideshow .thumbnails .container {
    white-space: nowrap;
}
.slideshow .thumbnails .thumb {
    width: 150px;
    display: inline-block;
    padding: 0 10px;
    height: 100%;
    vertical-align: middle;
    opacity: 0.2;
}
.slideshow .thumbnails .thumb.active {
    opacity: 1;
}
.slideshow .thumbnails .thumb img {
    max-width: 100%;
}

.iframe-previewer iframe {
    width: 800px;
    height: 600px;
    margin: auto;
}


.hidden-contact-info {
    display: flex;
    align-items: center;
    border: 1px solid #eee;
    cursor: pointer;
    padding: 0 20px 0 10px;
    margin-bottom: 10px;
}
.hidden-contact-info:hover {
    border-color: black;
}
.hidden-contact-info .material-icons {
    margin: 0 10px;
}



.dd-slider {
    display: flex;
    position: relative;
}
.dd-slider > div {
    padding: 20px;
}
.dd-slider-container .slide-left,
.dd-slider-container .slide-right {
    position: absolute;
    bottom: 0;
    height: calc(100% - 16px);
    width: 50px;
    margin: 8px 0;
    border: none;
    color: black;
    font-size: 3em;
}
.dd-slider-container .slide-left{
    left: 0;
    background: linear-gradient(90deg, white 30%, transparent);
}
.dd-slider-container .slide-right {
    right: 0;
    background: linear-gradient(270deg, white 30%, transparent);
}

.es-slide-switcher {
    position: relative;
}
.es-slide-switcher .es-slide-spacer {
    opacity: 0;
}
.es-slide-switcher .es-slide-frame {
    position: absolute;
    top: 0;
    opacity: 0;
    transition: opacity .5s;
}
.es-slide-switcher .es-slide-frame.active {
    opacity: 1;
}



.info-blocks {
    margin-top: 0;
}
.info-blocks .mdc-layout-grid__inner {
    margin-top: 24px;
}
.info-blocks .panel-container {
    display: grid;
    margin: 0;
    grid-gap: var(--mdc-layout-grid-gutter-desktop, 24px);
    grid-template-columns: repeat(2, minmax(0, 1fr));
}
.info-blocks .panel-container.right {
    direction: rtl;
}
.info-blocks .panel-container.right * {
    direction: ltr;
}

.info-blocks .info {
    min-height: 60vh;
    max-height: 60vh;
    margin: 0;
    padding: 0 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    letter-spacing: 0.05em;
}
.info-blocks .images {
    min-height: 60vh;
    max-height: 60vh;
    margin: 15px;
    padding: 0 !important;
    display: flex;
    align-items: center;
    overflow: hidden;
}
.info-blocks .images .image-panel--image {
    align-self: stretch;
    background-repeat: no-repeat;
    background-size: cover;
    flex-basis: 100%;
}
.info-blocks img {
    max-width: 100%;
    height: auto;
    display: block;
}
.info-blocks .info .title,
.info-blocks .info .blurb,
.info-blocks .info a {
    padding: 20px 0;
}
.info-blocks .info .title {
    font-size: 1em;
    text-transform: uppercase;
    margin-bottom: 6px;
    text-align: center;
}
.info-blocks .info .sub-title {
    font-size: 1.6em;
    text-transform: uppercase;
    max-width: 430px;
    text-align: center;
    line-height: 1.3;
}
.info-blocks .info .blurb {
    text-align: center;
    max-width: 400px;
    line-height: 1.6;
    font-size: 1em;
    letter-spacing: 0.05em;
    padding-top: 50px;
}
.info-blocks .info a {
    border: 1px solid black;
    text-transform: uppercase;
    padding: 10px 15px;
    margin-top: 6px;
}
@media (max-width: 768px) {
    .info-blocks .images {
        min-height: 50vh;
        max-height: 50vh;
        margin: 0;
    }
    .info-blocks .info {
        padding: 0 20px;
    }
    .info-blocks .panel-container {
        display: grid;
        margin: 0;
        grid-gap: var(--mdc-layout-grid-gutter-desktop, 24px);
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
    .info-blocks .panel-container.right {
        direction: ltr;
    }

}
